<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
  <id>package</id>
  <formats>
<!--     <format>tar.gz</format> -->
<!--     <format>tar.bz2</format> -->
    <format>zip</format>
  </formats>
  <fileSets>
	<!-- Files from the build directory -->
    <fileSet>
      <directory>${project.build.directory}</directory>
      <outputDirectory>${file.separator}</outputDirectory>
      <fileMode>0755</fileMode>
      <includes>
        <include>${project.build.finalName}.jar</include> <!-- The main jar -->        
        <include>${project.name}.exe</include>
      </includes>
    </fileSet>
    
    <!-- Files from the base directory -->
    <fileSet>
       	<directory>.</directory>
    	<outputDirectory>${file.separator}</outputDirectory>
    	<includes>
        	<include>CHANGES.txt</include>
        	<include>LICENSE</include>	
        </includes>
    </fileSet>    
    
    <!-- Scripts -->
    <fileSet>
       	<directory>${project.build.directory}/classes</directory>
    	<outputDirectory>${file.separator}</outputDirectory>
    	<fileMode>0755</fileMode>
    	<lineEnding>unix</lineEnding>
    	<includes>
        	<include>${project.name}.bat</include>
        	<include>${project.name}.sh</include>
        	<include>${project.name}.command</include>
        	<include>${project.name}</include> 
          <include>${project.name}.exe</include>   	
        </includes>
    </fileSet>    
    
    <!-- Files from the classes directory (i.e. the copied resources from src/main/resources) -->
    <fileSet>
    	<directory>${project.build.directory}/classes</directory>
    	<outputDirectory>${file.separator}</outputDirectory>
    	<includes>  	
	    	<include>README.txt</include>
	        <include>MACOS_NOTES.txt</include>
	        <include>CHANGES.txt</include>
	        <include>BUILD.txt</include>
	        <include>virtualKeyboards.xml</include>
	        <include>How_to_use_TRANSKRIBUS-0.1.7.pdf</include>
        	<include>logback.xml</include>
<!--         <include>log4j.properties</include> -->
        	<include>config.properties</include>
          <include>How_To_Launch_1_27_0_On_Windows.txt</include>
        </includes>
    </fileSet>
    
    <!-- i18n dir -->
    <fileSet>
    	<directory>${project.build.directory}/classes/i18n</directory>
    	<outputDirectory>${file.separator}i18n</outputDirectory>
    </fileSet>
    
    <!-- profiles dir -->
    <fileSet>
    	<directory>${project.build.directory}/classes/profiles</directory>
    	<outputDirectory>${file.separator}profiles</outputDirectory>
    </fileSet>
    
    <!-- libs dir  -->
    <fileSet>
      <directory>${project.build.directory}/${dependency-dir}</directory>
      <outputDirectory>${file.separator}${dependency-dir}</outputDirectory>
    </fileSet>
    
  </fileSets>
</assembly>